
Auto Multiple Choice - Bug # 354: Lorsque qu'utilisés avec lineup=true, l'option dots=false ne 
fonctionne pas

Status: Closed Priority: Normal
Author: Joël Brogniart Category:
Created: 04/29/2015 Assignee:
Updated: 11/03/2017 Due date:
Description: Sous OS X 10.10.3, avec AMC révision commit:85268d4, source au format AMC-TXT et pas de feuille de 

réponse séparée.

Pour éviter l'affichage d'une zone de texte pour une question où la réponse doit se faire sur un graphique, 
j'essaie d'utiliser les options @<lines=1,lineup=true,dots=false>@, mais avec ces options la ligne en pointillé 
est tracée quand même (certainement à cause de l'option lineup).

J'essaie alors d'utiliser une fonction qui ne fait rien à la place de @line@ avec 
@<contentcommand=nerienfaire>@ mais à ce moment, j'ai un carré qui apparait en dessous des cases des 
correcteurs.

J'arrive à rendre la zone de texte invisible en utilisant les options @<lines=1,framerule=0pt,dots=false>@, ici 
l'option @dots=false@ fonctionne.

Voici ce que contient mon fichier source.

<pre>
# AMC-TXT source
PaperSize: A4
Lang: FR
Title: Mon premier questionnaire
LaTeX-BeginDocument: \def\nerienfaire{}
ShuffleQuestions: 0

Presentation: Veuillez répondre aux questions
ci-dessous du mieux que vous pouvez.

*<lines=1,lineup=true,dots=false> Indiquez par un point rouge où se trouve la capitale du Cameroun ?
*<contentcommand=nerienfaire> Indiquez par un point noir où se trouve la capitale du Cameroun ?
*<lines=1,framerule=0pt,dots=false> Indiquez par un point vert où se trouve la capitale du Cameroun ?
</pre>

J'ai aussi essayé de faire tout simplement @<lines=0>@ au cas où, mais un cadre de réponse est quand 
même affiché avec cette option.

History
04/29/2015 05:40 pm - Joël Brogniart
Bon j'ai du faire des erreurs quelque part, parce que maintenant, si j'utilise l'option @contentcommand@ avec une fonction qui affiche une image, 
l'image est bien affichée et du coup, je n'ai pas besoin de l'option @line@ et je n'ai plus le problème de line pointillée.

Dans mes précédents essais, je n'arrivais à afficher l'image que sur la page de réponse avec l'option feuille de réponse séparée. Je ne sais pas où je 
me suis trompé.

04/29/2015 05:46 pm - Joël Brogniart
Je crois que c'est parce que j'utilisais ensemble les options @contentcommand@ et @lineup@ (par exemple avec 
@<contentcommand=dessincameroun,lineup=true>@).

11/03/2017 11:25 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
